%% ``The contents of this file are subject to the Erlang Public License,
%% Version 1.0, (the "License"); you may not use this file except in
%% compliance with the License. You may obtain a copy of the License at
%% http://www.erlang.org/EPL1_0.txt
%% 
%% Software distributed under the License is distributed on an "AS IS"
%% basis, WITHOUT WARRANTY OF ANY KIND, either express or implied. See
%% the License for the specific language governing rights and limitations
%% under the License.
%% 
%% The Original Code is Erlang-4.7.3, December, 1998.
%% 
%% The Initial Developer of the Original Code is Ericsson Telecom
%% AB. Portions created by Ericsson are Copyright (C), 1998, Ericsson
%% Telecom AB. All Rights Reserved.
%% 
%% Contributor(s): ______________________________________.''
%%
%% Demo for testing some events

-module(event_test).
-copyright('Copyright (c) 1991-97 Ericsson Telecom AB').
-vsn('$Revision: /main/release/free/1').
-revision('$Revision: 1.1 $').
-author('ola@erlang.ericsson.se').
-modified('$Date: 1996/05/08 08:22:26 $').
-modified_by('$Author: anders $').

-export([start/0,init/0]).



start() ->
    spawn(event_test,init,[]).

init() ->
    S=gs:start(),
    W=gs:window(S,[{map,true},{keypress,true},{buttonpress,true}]),
    gs:button(W,[{label,{text,"Press Me"}},{enter,true},{leave,true}]),
    event_loop().


event_loop() ->
    receive
	X ->
	    io:format("Got event: ~p~n",[X]),
	    event_loop()
    end.


		     
    
